## tea-cli 0.9.2

=== Makefile ===
DIST := dist
export GO111MODULE=on
export CGO_ENABLED=0

GO ?= go
SHASUM ?= shasum -a 256

export PATH := $($(GO) env GOPATH)/bin:$(PATH)

GOFILES := $(shell find . -name "*.go" -type f ! -path "./vendor/*" ! -path "*/bindata.go")
GOFMT ?= gofmt -s

ifneq ($(DRONE_TAG),)
	VERSION ?= $(subst v,,$(DRONE_TAG))
	TEA_VERSION ?= $(VERSION)
else
	ifneq ($(DRONE_BRANCH),)
		VERSION ?= $(subst release/v,,$(DRONE_BRANCH))
	else
		VERSION ?= master
	endif
	TEA_VERSION ?= $(shell git describe --tags --always | sed 's/-/+/' | sed 's/^v//')
endif
TEA_VERSION_TAG ?= $(shell sed 's/+/_/' <<< $(TEA_VERSION))

TAGS ?=
SDK ?= $(shell $(GO) list -f '{{.Version}}' -m code.gitea.io/sdk/gitea)
LDFLAGS := -X "main.Version=$(TEA_VERSION)" -X "main.Tags=$(TAGS)" -X "main.SDK=$(SDK)" -s -w

# override to allow passing additional goflags via make CLI
override GOFLAGS := $(GOFLAGS) -mod=vendor -tags '$(TAGS)' -ldflags '$(LDFLAGS)'

PACKAGES ?= $(shell $(GO) list ./... | grep -v /vendor/)
SOURCES ?= $(shell find . -name "*.go" -type f)

# OS specific vars.
ifeq ($(OS), Windows_NT)
	EXECUTABLE := tea.exe
else
	EXECUTABLE := tea
	ifneq ($(shell uname -s), OpenBSD)
		override BUILDMODE := -buildmode=pie
	endif
endif

.PHONY: all
all: build

.PHONY: clean
clean:
	$(GO) clean -mod=vendor -i ./...
	rm -rf $(EXECUTABLE) $(DIST)

.PHONY: fmt
fmt:
	$(GOFMT) -w $(GOFILES)

.PHONY: vet
vet:
	# Default vet
	$(GO) vet -mod=vendor $(PACKAGES)
	# Custom vet
	$(GO) build -mod=vendor code.gitea.io/gitea-vet
	$(GO) vet -vettool=gitea-vet $(PACKAGES)

.PHONY: lint
lint: install-lint-tools
	revive -config .revive.toml -exclude=./vendor/... ./... || exit 1

.PHONY: misspell-check
misspell-check: install-lint-tools
	misspell -error -i unknwon,destory $(GOFILES)

.PHONY: misspell
misspell: install-lint-tools
	misspell -w -i unknwon $(GOFILES)

.PHONY: fmt-check
fmt-check:
	# get all go files and run go fmt on them
	@diff=$$($(GOFMT) -d $(GOFILES)); \
	if [ -n "$$diff" ]; then \
		echo "Please run 'make fmt' and commit the result:"; \
		echo "$${diff}"; \
		exit 1; \
	fi;

.PHONY: test
test:
	$(GO) test -mod=vendor -tags='sqlite sqlite_unlock_notify' $(PACKAGES)

.PHONY: unit-test-coverage
unit-test-coverage:
	$(GO) test -mod=vendor -tags='sqlite sqlite_unlock_notify' -cover -coverprofile coverage.out $(PACKAGES) && echo "\n==>\033[32m Ok\033[m\n" || exit 1

.PHONY: vendor
vendor:
	$(GO) mod tidy && $(GO) mod vendor

.PHONY: check
check: test

.PHONY: install
install: $(SOURCES)
	@echo "installing to $(GOPATH)/bin/$(EXECUTABLE)"
	$(GO) install -v $(BUILDMODE) $(GOFLAGS) 

.PHONY: build
build: $(EXECUTABLE)

$(EXECUTABLE): $(SOURCES)
	$(GO) build $(BUILDMODE) $(GOFLAGS) -o $@

.PHONY: build-image
build-image:
	docker build --build-arg VERSION=$(TEA_VERSION) -t gitea/tea:$(TEA_VERSION_TAG) .

.PHONY: release
release: release-dirs install-release-tools release-os release-compress release-check

.PHONY: release-dirs
release-dirs:
	mkdir -p $(DIST)/binaries $(DIST)/release

.PHONY: release-os
release-os:
	CGO_ENABLED=0 gox -verbose -cgo=false $(GOFLAGS) -osarch='!darwin/386 !darwin/arm' -os="windows linux darwin" -arch="386 amd64 arm arm64" -output="$(DIST)/release/tea-$(VERSION)-{{.OS}}-{{.Arch}}"

.PHONY: release-compress
release-compress: install-release-tools
	cd $(DIST)/release/; for file in `find . -type f -name "*"`; do echo "compressing $${file}" && gxz -k -9 $${file}; done;

.PHONY: release-check
release-check: install-release-tools
	cd $(DIST)/release/; for file in `find . -type f -name "*"`; do echo "checksumming $${file}" && $(SHASUM) `echo $${file} | sed 's/^..//'` > $${file}.sha256; done;

### tools
install-release-tools:
	@hash gox > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) install github.com/mitchellh/gox@latest; \
	fi
	@hash gxz > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) install github.com/ulikunitz/xz/cmd/gxz@latest; \
	fi

install-lint-tools:
	@hash revive > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) install github.com/mgechev/revive@latest; \
	fi
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) install github.com/client9/misspell/cmd/misspell@latest; \
	fi

=== debian/changelog ===
tea-cli (0.9.2-2) unstable; urgency=medium

  * Team upload
  * Rebase upstream fix for newer tablewriter API
  * Update required version of tablewriter in Build-Depends

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 17 Aug 2025 15:35:06 +0000

tea-cli (0.9.2-1) unstable; urgency=medium

  * Initial release (Closes: #1058686)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Mon, 25 Dec 2023 14:42:36 +0530

=== debian/control ===
Source: tea-cli
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-code-gitea-sdk-dev,
               golang-gitea-noerw-unidiff-comments-dev,
               golang-github-alecaivazis-survey-dev,
               golang-github-adrg-xdg-dev,
               golang-github-araddon-dateparse-dev,
               golang-github-charmbracelet-glamour-dev,
               golang-github-enescakir-emoji-dev,
               golang-github-go-git-go-git-dev,
               golang-github-muesli-termenv-dev,
               golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
               golang-github-skratchdot-open-golang-dev,
               golang-github-urfave-cli-v2-dev,
               golang-golang-x-crypto-dev,
               golang-gopkg-yaml.v2-dev,
               golang-github-stretchr-testify-dev <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/gtea
Vcs-Git: https://salsa.debian.org/go-team/packages/gtea.git
Homepage: https://gitea.com/gitea/tea
Rules-Requires-Root: no
XS-Go-Import-Path: code.gitea.io/tea

Package: tea-cli
Architecture: any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: command line tool to interact with Gitea
 tea is a productivity helper for Gitea. It can be used to manage most
 entities on one or multiple Gitea instances & provides local helpers
 like 'tea pr checkout'.
 .
 The package and the program have been renamed to tea-cli to avoid
 conflicts with the tea package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -O--builddirectory=_build -O--buildsystem=golang
	mv debian/tea-cli/usr/bin/tea debian/tea-cli/usr/bin/tea-cli

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://gitea.com/gitea/tea/releases archive/v@ANY_VERSION@@ARCHIVE_EXT@

## tea-cli 0.11.1

=== debian/changelog ===
tea-cli (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1
  * Remove patch applied in new upstream version
  * Patch to remove import path assertion
  * d/control: Update Build-Depends
  * Bump Standards-Version to 4.7.3
  * Update my maintenance address
  * d/rules: Change build directory to debian/build
  * Build and install docs and manual pages
  * d/control: Add Static-Built-Using field

 -- Maytham Alsudany <maytham@debian.org>  Fri, 09 Jan 2026 14:02:35 +0800

=== debian/control ===
Source: tea-cli
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytham@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-code-gitea-sdk-dev,
               golang-gitea-noerw-unidiff-comments-dev,
               golang-github-adrg-xdg-dev,
               golang-github-araddon-dateparse-dev,
               golang-github-charmbracelet-glamour-dev,
               golang-github-enescakir-emoji-dev,
               golang-github-go-git-go-git-dev,
               golang-github-muesli-termenv-dev,
               golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
               golang-github-skratchdot-open-golang-dev,
               golang-github-urfave-cli-docs-v3-dev,
               golang-github-urfave-cli-v3-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-dev,
               golang-gopkg-yaml.v2-dev,
               golang-github-charmbracelet-huh-dev,
               golang-github-stretchr-testify-dev <!nocheck>,
               pandoc
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/gtea
Vcs-Git: https://salsa.debian.org/go-team/packages/gtea.git
Homepage: https://gitea.com/gitea/tea
Rules-Requires-Root: no
XS-Go-Import-Path: code.gitea.io/tea

Package: tea-cli
Architecture: any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}
Description: command line tool to interact with Gitea
 tea is a productivity helper for Gitea. It can be used to manage most
 entities on one or multiple Gitea instances & provides local helpers
 like 'tea pr checkout'.
 .
 The package and the program have been renamed to tea-cli to avoid
 conflicts with the tea package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
BUILD_DATE := $(shell date +%F -d @$(SOURCE_DATE_EPOCH))

%:
	dh $@ --builddirectory=debian/build --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	debian/build/bin/docs --out docs/CLI.md
	rm debian/build/bin/docs
	pandoc --standalone --to man docs/CLI.md -o debian/build/tea-cli.1 \
		-V title=tea-cli \
		-V section=1 \
		-V date=$(BUILD_DATE)

override_dh_auto_install:
	dh_auto_install -O--builddirectory=debian/build -O--buildsystem=golang
	mv debian/tea-cli/usr/bin/tea debian/tea-cli/usr/bin/tea-cli
